Package org.flowable.dmn.model

# Enum Class DecisionTableOrientation

java.lang.Object
java.lang.Enum<DecisionTableOrientation>
org.flowable.dmn.model.DecisionTableOrientation

All Implemented Interfaces:
  `Serializable`, `Comparable<DecisionTableOrientation>`, `Constable`

public enum DecisionTableOrientation extends Enum<DecisionTableOrientation>

Author:
  Yvo Swillens

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CROSS_TABLE`
  `RULE_AS_COLUMN`
  `RULE_AS_ROW`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DecisionTableOrientation`
  `fromValue(String value)`
  `String`
  `value()`
  `static DecisionTableOrientation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DecisionTableOrientation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RULE_AS_ROW

    public static final DecisionTableOrientation RULE_AS_ROW

  - ### RULE_AS_COLUMN

    public static final DecisionTableOrientation RULE_AS_COLUMN

  - ### CROSS_TABLE

    public static final DecisionTableOrientation CROSS_TABLE

- ## Method Details

  - ### values

    public static DecisionTableOrientation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DecisionTableOrientation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static DecisionTableOrientation fromValue(String value)